import { Router } from 'express';
import { AppExtensionType, ExtensionType, HybridExtensionType } from '@directus/shared/types';
export declare function getExtensionManager(): ExtensionManager;
declare type Options = {
    schedule: boolean;
    watch: boolean;
};
declare class ExtensionManager {
    private isLoaded;
    private options;
    private extensions;
    private appExtensions;
    private apiExtensions;
    private apiEmitter;
    private endpointRouter;
    private reloadQueue;
    private watcher;
    constructor();
    initialize(options?: Partial<Options>): Promise<void>;
    reload(): void;
    getExtensionsList(type?: ExtensionType): string[];
    getAppExtensions(type: AppExtensionType | HybridExtensionType): string | undefined;
    getEndpointRouter(): Router;
    private load;
    private unload;
    private initializeWatcher;
    private updateWatchedExtensions;
    private getExtensions;
    private generateExtensionBundles;
    private getSharedDepsMapping;
    private registerHooks;
    private registerEndpoints;
    private registerOperations;
    private registerHook;
    private registerEndpoint;
    private registerOperation;
    private unregisterHooks;
    private unregisterEndpoints;
    private unregisterOperations;
}
export {};
