"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("@directus/shared/utils");
const axios_1 = __importDefault(require("axios"));
exports.default = (0, utils_1.defineOperationApi)({
    id: 'request',
    handler: async ({ url, method, body, headers }) => {
        const customHeaders = headers === null || headers === void 0 ? void 0 : headers.reduce((acc, { header, value }) => {
            acc[header] = value;
            return acc;
        }, {});
        const result = await (0, axios_1.default)({ url: encodeURI(url), method, data: body, headers: customHeaders });
        return { status: result.status, statusText: result.statusText, headers: result.headers, data: result.data };
    },
});
