"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("@directus/shared/utils");
const flows_1 = require("../../flows");
exports.default = (0, utils_1.defineOperationApi)({
    id: 'trigger',
    handler: async ({ flow, payload }, context) => {
        var _a;
        const flowManager = (0, flows_1.getFlowManager)();
        const payloadObject = (_a = (0, utils_1.optionToObject)(payload)) !== null && _a !== void 0 ? _a : null;
        let result;
        if (Array.isArray(payloadObject)) {
            result = await Promise.all(payloadObject.map((payload) => flowManager.runOperationFlow(flow, payload, context)));
        }
        else {
            result = await flowManager.runOperationFlow(flow, payloadObject, context);
        }
        return result;
    },
});
