/**
 * I know this looks a little silly, but it allows us to explicitly differentiate between when we're
 * expecting an item vs any other generic object.
 */
export declare type Item = Record<string, any>;
export declare type PrimaryKey = string | number;
export declare type Alterations = {
    create: {
        [key: string]: any;
    }[];
    update: {
        [key: string]: any;
    }[];
    delete: (number | string)[];
};
export declare type MutationOptions = {
    /**
     * Callback function that's fired whenever a revision is made in the mutation
     */
    onRevisionCreate?: (pk: PrimaryKey) => void;
    /**
     * Flag to disable the auto purging of the cache. Is ignored when CACHE_AUTO_PURGE isn't enabled.
     */
    autoPurgeCache?: false;
    /**
     * Allow disabling the emitting of hooks. Useful if a custom hook is fired (like files.upload)
     */
    emitEvents?: boolean;
};
